Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 615391 - the cpio applet prints to stdout instead of stderr
the cpio applet prints to stdout instead of stderr
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: busybox (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Denys Vlasenko
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-16 12:46 EDT by Karel Volný
Modified: 2011-05-19 09:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (581 bytes, patch)
2010-07-16 13:54 EDT, Denys Vlasenko
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0559 normal SHIPPED_LIVE busybox bug fix update 2011-05-18 13:57:17 EDT

  None (edit)
Description Karel Volný 2010-07-16 12:46:24 EDT
Description of problem:
when extracting a file using the cpio applet, the summary message like "26661 blocks" is written to stdout

the standalone cpio writes the message to stderr

Version-Release number of selected component (if applicable):
busybox-1.15.1-9.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. get some cpio archive (e.g. rpm package converted using rpm2cpio)
2. busybox cpio -t <file.cpio >/dev/null
  
Actual results:
(nothing is printed)

Expected results:
26661 blocks

(^ for example ...)

Additional info:
Comment 2 RHEL Product and Program Management 2010-07-16 13:17:40 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Denys Vlasenko 2010-07-16 13:54:22 EDT
Created attachment 432463 [details]
Proposed patch
Comment 4 Denys Vlasenko 2010-07-16 14:05:49 EDT
Test build:
http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2604516

Testing the fix:

# ./busybox cpio -t <busybox-1.15.1-11.el6.x86_64.cpio
./sbin/busybox
./usr/share/doc/busybox-1.15.1
./usr/share/doc/busybox-1.15.1/LICENSE
./usr/share/doc/busybox-1.15.1/README
./usr/share/man/man1/busybox.1.gz
2190 blocks

# ./busybox cpio -t <busybox-1.15.1-11.el6.x86_64.cpio 2>/dev/null
./sbin/busybox
./usr/share/doc/busybox-1.15.1
./usr/share/doc/busybox-1.15.1/LICENSE
./usr/share/doc/busybox-1.15.1/README
./usr/share/man/man1/busybox.1.gz
Comment 7 Denys Vlasenko 2010-11-30 08:28:19 EST
The build which incorporates the fix:

https://brewweb.devel.redhat.com/taskinfo?taskID=2922957
Comment 10 errata-xmlrpc 2011-05-19 09:08:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0559.html

Note You need to log in before you can comment on or make changes to this bug.